/**
 * 遥控器发送与解码任务
*/
#include "TopDefine.h"
#include "attrTask.h"
#include "rc_task.h"
#include "remote_control.h"

extern RC_mess_t RC_mess;
// sw[0]2 下306上1694 sw[5]3前306后1694 sw[4]4前1694后306 sw[1]xuan1 sw[3]xuan2 
/**
 * \brief 遥控器任务
 *
 * \param argument 未使用
 */
void Task_Rc(void *argument) 
{
    (void)argument; /* 未使用argument，消除警告 */

    RC_init();
    while(1)
    {
        RC_WaitNew();
				RC_rx_analysis();
    }
}
